---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_layers/"
---------------------------------------------------------------------------------------
createComposition1 = nil
createCompositionLight1 = nil
createCompositionLight2 = nil
createCompositionLight3 = nil
createCompositionMolniya = nil
createCompositionsmoke = nil
createCompositionLight = nil
---------------------------------------------------------------------------------------
createComposition1 = function()
	local composition1 = CreateCompositionSequence()
	local compositionDuration = 8
	composition1:setDuration(compositionDuration)
	composition1:setName("composition1" )
	composition1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Molniya/1
	element = createCompositionMolniya()
	element:setName("Molniya/1")
	composition1:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition1)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(1.29166666666667, 2.125)
	effector:play()
 
 
	-- Layer smoke/2
	element = createCompositionsmoke()
	element:setName("smoke/2")
	composition1:addElement(element)
	element:setHotSpot(740, 492)
	element:setParentElement(composition1)
	element:setXY(733, 122)
 
	element:setScale(2.61216216216216,2.61216216216216)
	element:setRotationRad(3.14159265)
	element:setOpacity(0.4)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition1:play()
 
	return composition1
end
 
createCompositionLight1 = function()
	local compositionLight1 = CreateCompositionSequence()
	local compositionDuration = 0.83333333333333
	compositionLight1:setDuration(compositionDuration)
	compositionLight1:setName("compositionLight1" )
	compositionLight1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Light1.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Light1.png")
	element:setName("Light1.png/1")
	compositionLight1:addElement(element)
	element:setHotSpot(175, 42)
	element:setParentElement(compositionLight1)
	element:setXY(683, 616)
 
	element:setScale(4,4)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:setKey(_TRACK_O, 0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.08333333333333, 0.18)
	effector:setKey(_TRACK_O, 0.20833333333333, 0.18)
	effector:setKey(_TRACK_O, 0.25, 0.5)
	effector:setKey(_TRACK_O, 0.45833333333333, 0.5)
	effector:setKey(_TRACK_O, 0.625, 0)
	effector:play()
 
	compositionLight1:play()
 
	return compositionLight1
end
 
createCompositionLight2 = function()
	local compositionLight2 = CreateCompositionSequence()
	local compositionDuration = 0.83333333333333
	compositionLight2:setDuration(compositionDuration)
	compositionLight2:setName("compositionLight2" )
	compositionLight2:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Light2.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Light2.png")
	element:setName("Light2.png/1")
	compositionLight2:addElement(element)
	element:setHotSpot(103.5, 100)
	element:setParentElement(compositionLight2)
	element:setXY(397, 384)
 
	element:setScale(4,4)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:setKey(_TRACK_O, 0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.08333333333333, 0.18)
	effector:setKey(_TRACK_O, 0.20833333333333, 0.18)
	effector:setKey(_TRACK_O, 0.25, 0.5)
	effector:setKey(_TRACK_O, 0.45833333333333, 0.5)
	effector:setKey(_TRACK_O, 0.625, 0)
	effector:play()
 
	compositionLight2:play()
 
	return compositionLight2
end
 
createCompositionLight3 = function()
	local compositionLight3 = CreateCompositionSequence()
	local compositionDuration = 0.83333333333333
	compositionLight3:setDuration(compositionDuration)
	compositionLight3:setName("compositionLight3" )
	compositionLight3:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Light3.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Light3.png")
	element:setName("Light3.png/1")
	compositionLight3:addElement(element)
	element:setHotSpot(121.5, 71)
	element:setParentElement(compositionLight3)
	element:setXY(897, 268)
 
	element:setScale(4,4)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:setKey(_TRACK_O, 0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.08333333333333, 0.18)
	effector:setKey(_TRACK_O, 0.20833333333333, 0.18)
	effector:setKey(_TRACK_O, 0.25, 0.5)
	effector:setKey(_TRACK_O, 0.45833333333333, 0.5)
	effector:setKey(_TRACK_O, 0.625, 0)
	effector:play()
 
	compositionLight3:play()
 
	return compositionLight3
end
 
createCompositionMolniya = function()
	local compositionMolniya = CreateCompositionSequence()
	local compositionDuration = 0.83333333333333
	compositionMolniya:setDuration(compositionDuration)
	compositionMolniya:setName("compositionMolniya" )
	compositionMolniya:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer white_point.png/1
	element = CreateCompositionElement(PREFIX_PATH.."white_point.png")
	element:setName("white_point.png/1")
	compositionMolniya:addElement(element)
	element:setHotSpot(15.5, 19.5)
	element:setParentElement(compositionMolniya)
	element:setXY(912, 265)
 
	element:setScale(32.8064516129032,22.7948717948718)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:setKey(_TRACK_O, 0.04166666666667, 0)
	effector:setKey(_TRACK_O, 0.08333333333333, 0.25)
	effector:setKey(_TRACK_O, 0.29166666666667, 0.15)
	effector:setKey(_TRACK_O, 0.33333333333333, 0)
	effector:play()
 
 
	-- Layer litening_1_a.png/2
	element = CreateCompositionElement(PREFIX_PATH.."litening_1_a.png")
	element:setName("litening_1_a.png/2")
	compositionMolniya:addElement(element)
	element:setHotSpot(38, 45)
	element:setParentElement(compositionMolniya)
	element:setXY(961.5, 211)
 
	element:setScale(1.43181818181818,1.43181818181818)
 
	effector = element:getEffector()
	effector:setLifeTime(0.20833333333333, 0.45833333333333)
	effector:play()
 
 
	-- Layer litening_1.png/3
	element = CreateCompositionElement(PREFIX_PATH.."litening_1.png")
	element:setName("litening_1.png/3")
	compositionMolniya:addElement(element)
	element:setHotSpot(44, 46)
	element:setParentElement(compositionMolniya)
	element:setXY(948.5, 213)
 
	element:setScale(1.43181818181818,1.43181818181818)
 
	effector = element:getEffector()
	effector:setLifeTime(0.04166666666667, 0.29166666666667)
	effector:play()
 
 
	-- Layer Light3/4
	element = createCompositionLight3()
	element:setName("Light3/4")
	compositionMolniya:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionMolniya)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:play()
 
 
	-- Layer Light2/5
	element = createCompositionLight2()
	element:setName("Light2/5")
	compositionMolniya:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionMolniya)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:play()
 
 
	-- Layer Light1/6
	element = createCompositionLight1()
	element:setName("Light1/6")
	compositionMolniya:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionMolniya)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.83333333333333)
	effector:play()
 
	compositionMolniya:play()
 
	return compositionMolniya
end
 
createCompositionsmoke = function()
	local compositionsmoke = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsmoke:setDuration(compositionDuration)
	compositionsmoke:setName("compositionsmoke" )
	compositionsmoke:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer cloud2.png/1
	element = CreateCompositionElement(PREFIX_PATH.."cloud2.png")
	element:setName("cloud2.png/1")
	compositionsmoke:addElement(element)
	element:setHotSpot(200, 82)
	element:setParentElement(compositionsmoke)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 650.992629786471)
	effector:setKey(_TRACK_Y, 0, 489.2544747725)
	effector:setKey(_TRACK_X, 4, 644)
	effector:setKey(_TRACK_Y, 4, 493.5)
	effector:setKey(_TRACK_SX, 0, 0.825)
	effector:setKey(_TRACK_SY, 0, 0.825)
	effector:setKey(_TRACK_SX, 4, 1)
	effector:setKey(_TRACK_SY, 4, 1)
	effector:setKey(_TRACK_O, 0, 0.34090909090909)
	effector:setKey(_TRACK_O, 4, 0)
	effector:play()
 
 
	-- Layer cloud2.png/2
	element = CreateCompositionElement(PREFIX_PATH.."cloud2.png")
	element:setName("cloud2.png/2")
	compositionsmoke:addElement(element)
	element:setHotSpot(200, 82)
	element:setParentElement(compositionsmoke)
 
	effector = element:getEffector()
	effector:setLifeTime(4, 8)
	effector:setKey(_TRACK_X, 4, 658)
	effector:setKey(_TRACK_Y, 4, 485)
	effector:setKey(_TRACK_X, 7.95833333333333, 650.992629786471)
	effector:setKey(_TRACK_Y, 7.95833333333333, 489.2544747725)
	effector:setKey(_TRACK_SX, 4, 0.65)
	effector:setKey(_TRACK_SY, 4, 0.65)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.825)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.825)
	effector:setKey(_TRACK_O, 4, 0)
	effector:setKey(_TRACK_O, 6.13334147135417, 0.5)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.34090909090909)
	effector:play()
 
 
	-- Layer cloud2.png/3
	element = CreateCompositionElement(PREFIX_PATH.."cloud2.png")
	element:setName("cloud2.png/3")
	compositionsmoke:addElement(element)
	element:setHotSpot(200, 82)
	element:setParentElement(compositionsmoke)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 658)
	effector:setKey(_TRACK_Y, 0, 485)
	effector:setKey(_TRACK_X, 4, 650.992629786471)
	effector:setKey(_TRACK_Y, 4, 489.2544747725)
	effector:setKey(_TRACK_X, 7.95833333333333, 644)
	effector:setKey(_TRACK_Y, 7.95833333333333, 493.5)
	effector:setKey(_TRACK_SX, 0, 0.65)
	effector:setKey(_TRACK_SY, 0, 0.65)
	effector:setKey(_TRACK_SX, 4, 0.825)
	effector:setKey(_TRACK_SY, 4, 0.825)
	effector:setKey(_TRACK_SX, 7.95833333333333, 1)
	effector:setKey(_TRACK_SY, 7.95833333333333, 1)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 2.13334147135417, 0.5)
	effector:setKey(_TRACK_O, 4, 0.34090909090909)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
	compositionsmoke:play()
 
	return compositionsmoke
end